import { ILabShell } from '@jupyterlab/application';
import { DocumentRegistry, ABCWidgetFactory, DocumentWidget } from '@jupyterlab/docregistry';
import 'carbon-components/css/carbon-components.min.css';
import { IFileBrowserFactory } from '@jupyterlab/filebrowser';
import { Signal } from '@lumino/signaling';
export declare const commandIDs: {
    openPipelineEditor: string;
    openMetadata: string;
    openDocManager: string;
    newDocManager: string;
    saveDocManager: string;
    submitScript: string;
    submitNotebook: string;
    addFileToPipeline: string;
};
export declare class PipelineEditorFactory extends ABCWidgetFactory<DocumentWidget> {
    browserFactory: IFileBrowserFactory;
    shell: ILabShell;
    commands: any;
    addFileToPipelineSignal: Signal<this, any>;
    constructor(options: any);
    protected createNewWidget(context: DocumentRegistry.Context): DocumentWidget;
}
